package cokr.xit.fims.excl.service.bean;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import cokr.xit.fims.excl.CrdnReReg;
import cokr.xit.fims.excl.ExclQuery;
import cokr.xit.fims.excl.service.Excl03Service;
import cokr.xit.foundation.component.AbstractServiceBean;
import cokr.xit.foundation.data.DataObject;

/** 단속 재등록 서비스 구현체.
 *
 * <p>상세 설명: 단속 재등록 대장 테이블에 접근하여 데이터를 조회하고 저장한다.
 *
 * <pre>
 * ============ 변경 이력 ============
 * 2023-07-03	JoJH 최초 작성
 * ================================
 * </pre>
 */
@Service("excl03Service")
public class Excl03ServiceBean extends AbstractServiceBean implements Excl03Service {

	/** 단속 재등록 정보 Bean */
	@Resource(name = "excl03Bean")
	private Excl03Bean excl03Bean;

	@Override
	public List<DataObject> getCrdnReRegList(ExclQuery req) {
		return excl03Bean.getCrdnReRegList(req);
	}

	@Override
	public List<DataObject> getCrdnReRegs(ExclQuery req) {
		return excl03Bean.getCrdnReRegs(req);
	}

	@Override
	public String createCrdnReReg(CrdnReReg crdnReReg) {
		return excl03Bean.createCrdnReReg(crdnReReg);
	}

	@Override
	public boolean removeCrdnReReg(CrdnReReg crdnReReg) {
		return excl03Bean.removeCrdnReReg(crdnReReg);
	}

}
